Skip to main content
GET
/
v4
/
accounts
/
{accountId}
/
drafts
/
{draftId}
Get a draft
curl --request GET \
  --url 'https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}?apiKey=&sig='
import requests

url = "https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}?apiKey=&sig="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}?apiKey=&sig=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "accountId": 123,
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "draftTitle": "<string>",
  "phrases": [
    "<string>"
  ],
  "page": "<string>",
  "rankSourceId": 123,
  "webPropertyId": 123,
  "versionId": "<string>",
  "title": "<string>",
  "metaDescription": "<string>",
  "bodyCopy": "<string>",
  "created": "2026-06-28T23:19:03.026-04:00",
  "createdBy": 123,
  "updated": "2026-06-28T23:19:03.026-04:00",
  "updatedBy": 123,
  "assignee": 123,
  "competitorUrls": [
    "<string>"
  ],
  "contentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "code": "<string>",
  "message": "<string>"
}
{
  "timestamp": "2023-11-07T05:31:56Z",
  "status": 123,
  "error": "<string>",
  "message": "<string>",
  "path": "<string>"
}
{
  "timestamp": "2023-11-07T05:31:56Z",
  "status": 123,
  "error": "<string>",
  "message": "<string>",
  "path": "<string>"
}

Authorizations

apiKey
string
query
required

API Key as a query parameter

sig
string
query
required

Request signature computed using API key and secret. Valid for 5 minutes after creation.

Path Parameters

accountId
integer
required

Account identifier

draftId
string<uuid>
required

Draft identifier

Query Parameters

versionId
string

Specific version of the draft to retrieve

Response

Draft

accountId
integer

Account identifier.

id
string<uuid>

Draft identifier

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

draftTitle
string

Draft title. (Note: not your page's title tag)

phrases
string[]

Target keyword phrases the draft is optimized for.

page
string

Existing page to optimize in your draft.

rankSourceId
integer

Rank source identifier.

webPropertyId
integer

Web property identifier.

versionId
string

Identifier of the specific draft version.

title
string
metaDescription
string
bodyCopy
string

The body copy / main text content of the draft.

created
string<date-time>

created timestamp

Example:

"2026-06-28T23:19:03.026-04:00"

createdBy
integer
updated
string<date-time>

last updated timestamp

Example:

"2026-06-28T23:19:03.026-04:00"

updatedBy
integer

User id of the last user to make an update.

assignee
integer

User id of the user assigned to this draft.

status
enum<string>

Draft status.

Available options:
TO_DO,
IN_PROGRESS,
IN_REVIEW,
APPROVED,
PUBLISHED
competitorUrls
string[]

Competitor URLs used to generate insights from for this draft.

contentProfileId
string<uuid>

Content Profile identifier.